class GetAbsenceAttendanceTypesList {
  int? aBSENCEATTENDANCETYPEID;
  String? aBSENCEATTENDANCETYPENAME;
  String? dESCFLEXCONTEXTCODE;
  String? hOURSORDAYS;

  GetAbsenceAttendanceTypesList({this.aBSENCEATTENDANCETYPEID, this.aBSENCEATTENDANCETYPENAME, this.dESCFLEXCONTEXTCODE, this.hOURSORDAYS});

  GetAbsenceAttendanceTypesList.fromJson(Map<String, dynamic> json) {
    aBSENCEATTENDANCETYPEID = json['ABSENCE_ATTENDANCE_TYPE_ID'];
    aBSENCEATTENDANCETYPENAME = json['ABSENCE_ATTENDANCE_TYPE_NAME'];
    dESCFLEXCONTEXTCODE = json['DESC_FLEX_CONTEXT_CODE'];
    hOURSORDAYS = json['HOURS_OR_DAYS'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['ABSENCE_ATTENDANCE_TYPE_ID'] = this.aBSENCEATTENDANCETYPEID;
    data['ABSENCE_ATTENDANCE_TYPE_NAME'] = this.aBSENCEATTENDANCETYPENAME;
    data['DESC_FLEX_CONTEXT_CODE'] = this.dESCFLEXCONTEXTCODE;
    data['HOURS_OR_DAYS'] = this.hOURSORDAYS;
    return data;
  }
}
